home chevron_right Components
Navigation

`fuse-navigation` is a custom built Fuse component allows you to create a multi-level collapsable navigation.

## Usage

<fuse-navigation></fuse-navigation>

## Model

`<fuse-navigation></fuse-navigation>` uses a service and a model file to populate the entire navigation. It supports three different navigation items; Subheader, Collapsable and Item. These items can be mixed and matched to create unique and complex navigation layouts.

### Header

{ 'title': 'COMPONENTS', 'type' : 'subheader' },

### Collapsable

{ 'title' : 'Datatables', 'type' : 'nav-collapse', 'icon' : 'border_all', 'children': [ { 'title': 'ngx-datatable', 'type' : 'nav-item', 'url' : '/components/datatables/ngx-datatable' } ] },

### Item

{ 'title': 'Countdown', 'type' : 'nav-item', 'icon' : 'settings_input_component', 'url' : '/components/countdown' },